Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class SSLConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.SSLConfigKeys

public final class SSLConfigKeys
extends java.lang.Object

Keys used by when creating a new `SSLConfig`.

Field Summary
`static java.lang.String` | `CERT_NICKNAME_KEY` Value of class java.lang.String
`static java.lang.String` | `CLIENT_AUTH_ENABLED_KEY` Value of class java.lang.Boolean
`static java.lang.String` | `SSL_2_CIPHERS_KEY` This key has a value which is a String containing cipher suite names.
`static java.lang.String` | `SSL_2_ENABLED_KEY` Value of class java.lang.Boolean
`static java.lang.String` | `SSL_3_ENABLED_KEY` Value of class java.lang.Boolean
`static java.lang.String` | `SSL_3_TLS_CIPHERS_KEY` This key has a value which is a String containing cipher suite names.
`static java.lang.String` | `SSL3_TLS_CIPHERS_KEY` This key has a value which is a String containing cipher suite names.
`static java.lang.String` | `TLS_ENABLED_KEY` Value of class java.lang.Boolean
`static java.lang.String` | `TLS_ROLLBACK_ENABLED_KEY` Value of class java.lang.Boolean

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CERT_NICKNAME_KEY

    public static final java.lang.String CERT_NICKNAME_KEY

  Value of class java.lang.String

  See Also:
    Constant Field Values

### CLIENT_AUTH_ENABLED_KEY

    public static final java.lang.String CLIENT_AUTH_ENABLED_KEY

  Value of class java.lang.Boolean

  See Also:
    Constant Field Values

### SSL_2_CIPHERS_KEY

    public static final java.lang.String SSL_2_CIPHERS_KEY

  This key has a value which is a String containing cipher suite names. It must be in comma-separated list. A "+" preceeding a cipher means to enable it and a "-" means to not enable it. Candidates include:

  See Also:
    Constant Field Values

### SSL_3_TLS_CIPHERS_KEY

    public static final java.lang.String SSL_3_TLS_CIPHERS_KEY

  This key has a value which is a String containing cipher suite names. It must be in comma-separated list. A "+" preceeding a cipher means to enable it and a "-" means to not enable it. Candidates include:

  See Also:
    Constant Field Values

### SSL_3_ENABLED_KEY

    public static final java.lang.String SSL_3_ENABLED_KEY

  Value of class java.lang.Boolean

  See Also:
    Constant Field Values

### SSL_2_ENABLED_KEY

    public static final java.lang.String SSL_2_ENABLED_KEY

  Value of class java.lang.Boolean

  See Also:
    Constant Field Values

### TLS_ENABLED_KEY

    public static final java.lang.String TLS_ENABLED_KEY

  Value of class java.lang.Boolean

  See Also:
    Constant Field Values

### TLS_ROLLBACK_ENABLED_KEY

    public static final java.lang.String TLS_ROLLBACK_ENABLED_KEY

  Value of class java.lang.Boolean

  See Also:
    Constant Field Values

### SSL3_TLS_CIPHERS_KEY

    public static final java.lang.String SSL3_TLS_CIPHERS_KEY

  This key has a value which is a String containing cipher suite names. It must be in comma-separated list. A "+" preceeding a cipher means to enable it and a "-" means to not enable it. Candidates include:
  - rsa_rc4_128_md5
  - rsa_3des_sha
  - rsa_des_sha
  - rsa_rc4_40_md5
  - rsa_rc2_40_md5
  - rsa_null_md5
  - rsa_des_56_sha
  - rsa_rc4_56_sha

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.